package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.auto.common.MultiSetMap;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class BEROutputStream extends DEROutputStream {
  public BEROutputStream(OutputStream outputStream) {
    super(outputStream);
  }
  
  public void writeObject(Object object) throws IOException {
    if (object == null) {
      writeNull();
      return;
    } 
    while (true) {
      if (object instanceof DERObject) {
        ((DERObject)object).encode(this);
        return;
      } 
      while (true) {
        if (object instanceof DEREncodable) {
          ((DEREncodable)object).getDERObject().encode(this);
          return;
        } 
        throw new IOException(MultiSetMap.const("$s;q7{o|=wck,V\001b/l'd'~7"));
      } 
      throw new IOException(MultiSetMap.const("$s;q7{o|=wck,V\001b/l'd'~7"));
    } 
    while (true) {
      if (object instanceof DEREncodable) {
        ((DEREncodable)object).getDERObject().encode(this);
        return;
      } 
      throw new IOException(MultiSetMap.const("$s;q7{o|=wck,V\001b/l'd'~7"));
    } 
    throw new IOException(MultiSetMap.const("$s;q7{o|=wck,V\001b/l'd'~7"));
  }
}
